

<div class="container registratinForm" >
    <h1 class="heading" *ngIf="!editForm">Register Form</h1>
    <h1 class="heading" *ngIf="editForm">Edit Form</h1>
        <div >
<form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
    <div class="form-group m-2">
        <label for="name">Name</label>
        <input  type="text" formControlName="name" class="form-control"  />
            <div class="error-div" *ngIf="registerForm.controls['name'].errors?.['required'] && (registerForm.controls['name'].touched || isSubmited)" >Name is required</div>
    </div>
    <div class="form-group m-2">
        <label for="email">Email</label>
        <input type="text" formControlName="email" class="form-control"  />
            <div class="error-div" *ngIf="registerForm.controls['email'].errors?.['required'] && (registerForm.controls['email'].touched || isSubmited)" >email is required</div>
            <div  class="error-div" *ngIf="registerForm.controls['email'].errors?.['pattern'] && (registerForm.controls['email'].touched || isSubmited)" >not a valid pattern for email</div>

    </div>
    <div class="form-group m-2"
    formArrayName="phones">
    <div 
    *ngFor="let phone of getPhonesFormControls(); let i = index" formGroupName={{i}} >
       <label for="mobile">phone{{i}}</label>
       <input type="text" formControlName="contact" type="number"  class="form-control"  />
       <button  *ngIf="i>0" class="btn btn-danger m-1" type="button" (click)="removePhone(i) ">Remove Phone</button>         
       <button  class="btn btn-success  m-1" type="button" (click)="addPhone()">Add new phone</button>
       <div class="error-div" *ngIf="getphonesvalidation.controls[i].get('contact')?.errors?.['required'] && (getphonesvalidation.controls[i].get('contact')?.touched || isSubmited)" >please add valid input (it is empty ) </div> 
       <div class="error-div" *ngIf="(getphonesvalidation.controls[i].get('contact')?.errors?.['maxlength'] ||getphonesvalidation.controls[i].get('contact')?.errors?.['minlength']  )&& (getphonesvalidation.controls[i].get('contact')?.touched || isSubmited)" >please add valid input (length is of input is should be  10) </div> 
       <br>
       
   </div>
    </div>
    <div class="form-group m-2">
        <label for="gender">Gender</label>
        <mat-radio-group aria-label="gender" class="form-control"  formControlName="gender">
            <mat-radio-button value="male">Male</mat-radio-button>
            <mat-radio-button value="female">Female</mat-radio-button>
          </mat-radio-group>
            <div class="error-div" *ngIf="registerForm.controls['gender'].errors?.['required'] && (registerForm.controls['gender'].touched || isSubmited)" >gender is required</div>
    </div>

    <button  *ngIf="editForm" class="btn btn-primary m-2" type="button" (click)="save()" >save </button>
    <button   *ngIf="editForm" class="btn btn-primary m-2" type="button" (click)="cancel()">cancel</button>
    <button *ngIf="!editForm" type="submit"  class="btn btn-primary m-2" >Submit</button>
   

</form>
</div>
</div>
<app-table [MainArray]="MainArray" (edititem)="edititem($event)"></app-table>